"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const LINKING_ERROR = `The package 'react-native-android-view' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ComponentName = 'MyViewManager';
const AndroidViewComponent = _reactNative.UIManager.getViewManagerConfig(ComponentName) != null ? (0, _reactNative.requireNativeComponent)(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
const createFragment = viewId => {
  const viewManagerConfig = _reactNative.UIManager.getViewManagerConfig(ComponentName);
  if (viewManagerConfig && viewManagerConfig.Commands) {
    const commandCreate = viewManagerConfig.Commands.create;
    if (commandCreate !== undefined) {
      _reactNative.UIManager.dispatchViewManagerCommand(viewId, commandCreate.toString(), [viewId]);
    } else {
      console.error(`'create' command is not defined in ${ComponentName} Commands`);
    }
  } else {
    console.error(`Failed to get view manager config for ${ComponentName}`);
  }
};
const AndroidView = ({
  viewId,
  style,
  ...props
}) => {
  const ref = (0, _react.useRef)(null);
  (0, _react.useEffect)(() => {
    const resolvedViewId = viewId || (0, _reactNative.findNodeHandle)(ref.current);
    if (resolvedViewId) {
      createFragment(resolvedViewId);
    } else {
      console.error('Failed to resolve view ID');
    }
  }, [viewId]);
  return /*#__PURE__*/_react.default.createElement(AndroidViewComponent, _extends({
    style: {
      height: _reactNative.PixelRatio.getPixelSizeForLayoutSize(200),
      width: _reactNative.PixelRatio.getPixelSizeForLayoutSize(200),
      ...style
    }
    // ref={ref}
    ,
    viewId: viewId
  }, props));
};
var _default = exports.default = AndroidView;
//# sourceMappingURL=index.js.map