function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React, { useEffect, useRef } from 'react';
import { requireNativeComponent, UIManager, findNodeHandle, PixelRatio, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-android-view' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ComponentName = 'MyViewManager';
const AndroidViewComponent = UIManager.getViewManagerConfig(ComponentName) != null ? requireNativeComponent(ComponentName) : () => {
  throw new Error(LINKING_ERROR);
};
const createFragment = viewId => {
  const viewManagerConfig = UIManager.getViewManagerConfig(ComponentName);
  if (viewManagerConfig && viewManagerConfig.Commands) {
    const commandCreate = viewManagerConfig.Commands.create;
    if (commandCreate !== undefined) {
      UIManager.dispatchViewManagerCommand(viewId, commandCreate.toString(), [viewId]);
    } else {
      console.error(`'create' command is not defined in ${ComponentName} Commands`);
    }
  } else {
    console.error(`Failed to get view manager config for ${ComponentName}`);
  }
};
const AndroidView = ({
  viewId,
  style,
  ...props
}) => {
  const ref = useRef(null);
  useEffect(() => {
    const resolvedViewId = viewId || findNodeHandle(ref.current);
    if (resolvedViewId) {
      createFragment(resolvedViewId);
    } else {
      console.error('Failed to resolve view ID');
    }
  }, [viewId]);
  return /*#__PURE__*/React.createElement(AndroidViewComponent, _extends({
    style: {
      height: PixelRatio.getPixelSizeForLayoutSize(200),
      width: PixelRatio.getPixelSizeForLayoutSize(200),
      ...style
    }
    // ref={ref}
    ,
    viewId: viewId
  }, props));
};
export default AndroidView;
//# sourceMappingURL=index.js.map